*{
  box-sizing: border-box;
  margin: 0px;
}

html{
  scroll-behavior: smooth;
}

h1{font-size: 3.5em;}
h2{font-size: 2.7em;}
h3{font-size: 2em;}
p{font-size: 1.25em;}

body{
  margin: 0;
  font-family: 'Roboto', sans-serif;
}

button{
  font-size: 2em;
  font-weight: bold;
  padding: 10px 30px;
  border: 1px solid rgba(0, 0, 0, 0.5);
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
  color: white;
  background-color:darkred;
}

button:hover{
  background-color: rgb(102, 0, 0);
}

.container{
  max-width: 1400px;
  margin:auto;
}

header{
  background-color: rgb(30, 30, 30);
}

header .logo{
  margin: 0;
  padding: 10px 10px;
  font-weight: bold;
  color:darkred;
  font-size: 1.6em;
}

.logo img{
  height: 60px;
  width: auto;
}

header .container{
  display:flex;
  flex-direction: column;
  align-items: center;
}

header nav{
  display:flex;
  flex-direction: column;
  text-align: center;
  padding-bottom: 25px;
}

header a {
  padding: 5px 12px;
  text-decoration: none;
  font-weight: bold;
  color: rgb(200, 200, 200);
}

header a:hover{
  color: darkred;
}

#hero{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 90vh;
  background-image: linear-gradient(
    0deg,
    rgba(0,0,0,0.5),
    rgba(0,0,0,0.5)
  ),
  url(Images/Foto_inicio.jpg);
  background-repeat: no-repeat;      /* evita que se repita */
  background-size: cover;            /* que cubra todo el espacio */
  background-position: center center;       /* centra la imagen */
}

#hero h1{
  color:white;
  margin-bottom: 15px;
}

.trabajos {
    background: linear-gradient(
        to bottom,
        #f8f8f8,
        #ffffff
    );
    padding: 80px 10%;
}

.trabajos h1 {
    text-align: center;
    color: black;
    font-size: 3rem;
    margin-bottom: 50px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}


.galeria {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    margin-top: 50px;
}

.card {
    position: relative;
    overflow: hidden;
    border-radius: 15px;
    border-radius:20px;
}

.card img {
    width: 100%;
    height: 280px;
    object-fit: cover;
    display: block;
    transition: 0.4s ease;
}

.card:hover img {
    transform: scale(1.08);
}

.tag {
    position: relative;
    bottom: 15px;
    left: 15px;
    background: rgba(0,0,0,0.8);
    color: white;
    padding: 8px 15px;
    border-radius: 8px;
    font-weight: bold;
    font-size: 0.9rem;
}

#contactanos {
  padding: 40px 20px;
}

#contactanos h2 {
  text-align: center;
  margin-bottom: 20px;
}

.formulario {
  max-width: 500px;
  margin: auto;
  background: rgb(30, 30, 30);
  padding: 30px;
  border-radius: 20px;
  color: white;
}

.input-group {
  display: flex;
  flex-direction: column;
}

.input-group label {
  margin: 10px 0 5px;
  font-weight: bold;
}

.input-group input,
.input-group textarea {
  padding: 12px;
  border-radius: 10px;
  border: none;
  outline: none;
  margin-bottom: 10px;
}

/* textarea más alto */
textarea {
  min-height: 100px;
  resize: none;
}

/* botón */
.boton_enviar {
  margin-top: 15px;
  padding: 12px;
  border: none;
  border-radius: 10px;
  background: darkred;
  color: white;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

.g-recaptcha {
  display: flex;
  justify-content:left; /* centra */
  margin: 15px 0px;
}


/* aviso legal */
.legal {
  font-size: 12px;
  margin-top: 10px;
  color: #aaa;
}

.legal a {
  color: #00c3ff;
}

.footer {
  background-color: rgb(30, 30, 30);
  color: #fff;
  padding: 40px 20px 10px;
  font-family: Arial, sans-serif;
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
}

.footer-brand h3 {
  margin-bottom: 10px;
}

.footer-social h4 {
  margin-bottom: 10px;
}


.footer-social a {
  display:row;
  justify-content: center;
  color: #ccc;
  text-decoration: none;
  margin-bottom: 5px;
  transition: 0.3s;
}

.footer-social i{
  font-size: 25px;
  margin-left: 5px;
}

.footer-social a:hover {
  color: darkred;
}

.footer-bottom {
  text-align: center;
  border-top: 1px solid #333;
  margin-top: 30px;
  padding-top: 10px;
  font-size: 14px;
}

.footer a{
  color: darkred;
}


@media (min-width:768px){
  header{
    position: fixed;
    width: 100%;
    z-index: 1000;
  }

  header .container{
    flex-direction: row;
    justify-content: space-between;
  }

  header nav {
    flex-direction: row;
    padding-bottom: 0;
    padding-right: 20px;
  }

  #hero h1{
    font-size: 5em;
  }

  #SobreNosotros .container{
    display: flex;
    justify-content: space-evenly;
  }

  #SobreNosotros .texto{
    width: 50%;
    text-align: initial;
    padding-left: 50px;
    max-width: 700px;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

  #SobreNosotros .img-container{
    background-image: url(Images/sobre_nosotros.jpg);
  background-size: cover;
  background-position: center center;
  height: 500px;
  width: 400px;
  }

  #colores-polarizados .colores{
    display: flex;
    justify-content: center;
  }

  #colores-polarizados p{
    display: block;
  }

  .footer-social{
    padding-right: 50px;
    padding-top: 10px;
  }
}

@media (max-width: 767px) {

  .ocultoCelular {
    display: none;
  }

  .footer-container {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
  }

  .footer-social {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .redes {
    display: flex;
    justify-content: center;
    gap: 15px;
  }

  .footer-brand p {
    max-width: 250px;
  }

      .trabajos {
        padding: 60px 5%;
    }

    .galeria {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .trabajos h1 {
        font-size: 2rem;
        margin-bottom: 30px;
    }

    .card img {
        height: 250px;
    }

    .tag {
        font-size: 0.8rem;
        padding: 6px 12px;
    }
}

.polarizados {
  padding: 60px 20px;
  background: rgb(30, 30, 30); /* fondo oscuro moderno */
  text-align: center;
  color: #fff;
}

.contenedor-polarizados {
  max-width: 1200px;
  margin: 0 auto;
}

.polarizados h2 {
  font-size: 2.5rem;
  margin-bottom: 10px;
}

.polarizados p {
  color: #cbd5e1;
  margin-bottom: 30px;
}

.imagen-polarizado img {
  width: 100%;
  max-width: 1000px;
  border-radius: 20px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.5);
  transition: transform 0.3s ease;
}

  .polarizados h2 {
    font-size: 1.8rem;
  }

  .imagen-polarizado img {
    border-radius: 12px;
  }
